QT += core widgets
TEMPLATE = lib
CONFIG += staticlib c++17

SOURCES += $$files($$PWD/*.cpp, true)
HEADERS += $$files($$PWD/*.h, true)

LIBS += \
    -L$$OUT_PWD/../libs/core -lcore \
    -L$$OUT_PWD/../libs/core -lxassets \
    -L$$OUT_PWD/../libs/compression -lcompression \
    -L$$OUT_PWD/../libs/encryption -lencryption \
    -L$$OUT_PWD/../libs/zonefile -lzonefile

INCLUDEPATH += \
    $$PWD/../core \
    $$PWD/../compression \
    $$PWD/../encryption \
    $$PWD/../xassets \
    $$PWD/../zonefile \
    $$PWD/../zonefile/360 \
    $$PWD/../zonefile/PC \
    $$PWD/../zonefile/PS3 \
    $$PWD/../zonefile/Wii \
    $$PWD/../zonefile/PS3 \
    $$PWD/../zonefile/WiiU

DEPENDPATH += \
    $$PWD/../core \
    $$PWD/../compression \
    $$PWD/../encryption \
    $$PWD/../xassets \
    $$PWD/../zonefile \
    $$PWD/../zonefile/360 \
    $$PWD/../zonefile/PC \
    $$PWD/../zonefile/PS3 \
    $$PWD/../zonefile/Wii \
    $$PWD/../zonefile/PS3 \
    $$PWD/../zonefile/WiiU

DESTDIR = $$OUT_PWD/../
